Bug 195533 - audio/jack can not be upgraded
Summary: audio/jack can not be upgraded
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-30 18:13 UTC by Mikhail T.
Modified: 2014-12-16 09:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (multimedia)


Attachments
Do not fail, if jack is already installed on the building system (2.32 KB, patch)
2014-11-30 18:13 UTC, Mikhail T.
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail T. 2014-11-30 18:13:21 UTC
Created attachment 150037 [details]
Do not fail, if jack is already installed on the building system

The author's configure has a special provision, that prevents builds if any version of jack is already installed on the build-system -- instead of carefully arranging the build's -I options, the author has taken the easy way out...

The attached patch modifies the author's configure to remove the check. The resulting CFLAGS do not point to ${PREFIX}/include anyway.

This allows the port to be upgraded with portupgrade.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-30 18:13:21 UTC
Auto-assigned to maintainer multimedia@FreeBSD.org
Comment 2 Hans Petter Selasky freebsd_committer 2014-11-30 19:04:05 UTC
Does this patch come from upstream?

--HPS
Comment 3 Mikhail T. 2014-12-04 13:46:37 UTC
No, Hans Petter, it does not. The upstream has spent considerable effort to put the system, which this patch removes, into place.

We don't need that system. We need to port to be upgradeable.
Comment 4 Hans Petter Selasky freebsd_committer 2014-12-04 13:49:33 UTC
Thank you!

I will process this issue and push it into the jackd port next week!

Does this sound acceptable to you?

--HPS
Comment 5 Hans Petter Selasky freebsd_committer 2014-12-04 13:50:27 UTC
A workaround, might be to deinstall jackd before installing it again ...

--HPS
Comment 6 Mikhail T. 2014-12-04 14:12:27 UTC
(In reply to Hans Petter Selasky from comment #5)
> A workaround, might be to deinstall jackd before installing it again ...

Yes, of course. And that's just what I -- and everybody else -- have been doing until I got tired of it and went to investigate...

A number of multimedia ports here depend on jackd and they were all failing to update with the simple "portupgrade -a" because of this nuisance...

Thanks for the prompt reaction!
Comment 7 Hans Petter Selasky freebsd_committer 2014-12-05 12:50:15 UTC
Hi,

Patched "jack" port is available from here, and should be upstreamed in not very long!

svn --username anonsvn --password anonsvn \
      checkout svn://svn.turbocat.net/i4b/trunk/ports/audio/jack

--HPS
Comment 8 commit-hook freebsd_committer 2014-12-16 08:59:23 UTC
A commit references this bug:

Author: kwm
Date: Tue Dec 16 08:58:41 UTC 2014
New revision: 374789
URL: https://svnweb.freebsd.org/changeset/ports/374789

Log:
  Allow jack to be upgraded when already installed. [1]
  Move doxygen depend and docs out of DOCS option. [2]

  PR:		195533 [1], 195573 [2]
  Submitted by:	Mikhail T. <mi@ALDAN.algebra.com> [1], amdmi3@ [2]

Changes:
  head/audio/jack/Makefile
  head/audio/jack/files/patch-configure
  head/audio/jack/pkg-plist
Comment 9 Koop Mast freebsd_committer 2014-12-16 09:00:02 UTC
Committed, thanks